Index: org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.math/pom.xml
===================================================================
--- org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.math/pom.xml	(revision 145)
+++ org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.math/pom.xml	(revision 146)
@@ -10,7 +10,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.toolbox</artifactId>
-		<version>1.0.17-SNAPSHOT</version>
+		<version>1.0.17</version>
 	</parent>
 	
 	<dependencies>
Index: org.gvsig.toolbox/trunk/org.gvsig.toolbox/pom.xml
===================================================================
--- org.gvsig.toolbox/trunk/org.gvsig.toolbox/pom.xml	(revision 145)
+++ org.gvsig.toolbox/trunk/org.gvsig.toolbox/pom.xml	(revision 146)
@@ -6,7 +6,7 @@
 	<artifactId>org.gvsig.toolbox</artifactId>
 	<packaging>pom</packaging>
 	<name>${artifactId}</name>
-	<version>1.0.17-SNAPSHOT</version>
+	<version>1.0.17</version>
 
 	<parent>
 		<groupId>org.gvsig</groupId>
@@ -15,9 +15,9 @@
 	</parent>
 
 	<scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-toolbox/org.gvsig.toolbox/trunk/org.gvsig.toolbox</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-toolbox/org.gvsig.toolbox/trunk/org.gvsig.toolbox</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-toolbox/repository/show/org.gvsig.toolbox/trunk/org.gvsig.toolbox</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-toolbox/org.gvsig.toolbox/tags/org.gvsig.toolbox-1.0.17</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-toolbox/org.gvsig.toolbox/tags/org.gvsig.toolbox-1.0.17</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-toolbox/repository/show/org.gvsig.toolbox/tags/org.gvsig.toolbox-1.0.17</url>
     </scm>
 
 	<repositories>
@@ -121,22 +121,22 @@
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.toolbox.algorithm</artifactId>
-			<version>1.0.17-SNAPSHOT</version>
+			<version>1.0.17</version>
 		</dependency>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.toolbox.core</artifactId>
-			<version>1.0.17-SNAPSHOT</version>
+			<version>1.0.17</version>
 		</dependency>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.toolbox.gui</artifactId>
-			<version>1.0.17-SNAPSHOT</version>
+			<version>1.0.17</version>
 		</dependency>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.toolbox.math</artifactId>
-			<version>1.0.17-SNAPSHOT</version>
+			<version>1.0.17</version>
 		</dependency>
 		<dependency>
 			<groupId>gnu.trove</groupId>
Index: org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.gui/pom.xml
===================================================================
--- org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.gui/pom.xml	(revision 145)
+++ org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.gui/pom.xml	(revision 146)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.toolbox</artifactId>
-		<version>1.0.17-SNAPSHOT</version>
+		<version>1.0.17</version>
 	</parent>
 	
 	<dependencies>
Index: org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.algorithm/pom.xml
===================================================================
--- org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.algorithm/pom.xml	(revision 145)
+++ org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.algorithm/pom.xml	(revision 146)
@@ -10,7 +10,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.toolbox</artifactId>
-		<version>1.0.17-SNAPSHOT</version>
+		<version>1.0.17</version>
 	</parent>
 	
 	<!-- <build>
Index: org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.core/pom.xml
===================================================================
--- org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.core/pom.xml	(revision 145)
+++ org.gvsig.toolbox/trunk/org.gvsig.toolbox/org.gvsig.toolbox.core/pom.xml	(revision 146)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.toolbox</artifactId>
-		<version>1.0.17-SNAPSHOT</version>
+		<version>1.0.17</version>
 	</parent>
 	
 	<dependencies>