Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.impl/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.impl/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.impl/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs.lib</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.lib.impl</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <name>org.gvsig.lrs.lib.impl</name>
   <dependencies>
     <dependency>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.lib</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <packaging>pom</packaging>
   <modules>
     <module>org.gvsig.lrs.lib.api</module>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.api/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.api/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.lib/org.gvsig.lrs.lib.api/pom.xml	(revision 163)
@@ -2,12 +2,12 @@
   <modelVersion>4.0.0</modelVersion>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.lib.api</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <name>org.gvsig.lrs.lib.api</name>
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs.lib</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
 
   <build>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.impl/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.impl/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.impl/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs.swing</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.swing.impl</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <name>org.gvsig.lrs.swing.impl</name>
   <dependencies>
     <dependency>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.swing</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <packaging>pom</packaging>
   <name>org.gvsig.lrs.swing</name>
   <modules>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.api/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.api/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.swing/org.gvsig.lrs.swing.api/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs.swing</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.swing.api</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <name>org.gvsig.lrs.swing.api</name>
   <dependencies>
     <dependency>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/pom.xml	(revision 163)
@@ -2,7 +2,7 @@
   <modelVersion>4.0.0</modelVersion>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <packaging>pom</packaging>
   <name>${project.artifactId}</name>
   <description>Linear Referencing System project</description>
@@ -14,9 +14,9 @@
 
   <url>https://devel.gvsig.org/sites/org.gvsig.lrs/${project.version}</url>
   <scm>
-    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-lrs/org.gvsig.lrs/trunk/${project.artifactId}</connection>
-    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-lrs/org.gvsig.lrs/trunk/${project.artifactId}</developerConnection>
-    <url>https://devel.gvsig.org/redmine/projects/gvsig-lrs/repository/show/org.gvsig.lrs/trunk/${project.artifactId}</url>
+    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-lrs/org.gvsig.lrs/tags/org.gvsig.lrs-1.0.19</connection>
+    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-lrs/org.gvsig.lrs/tags/org.gvsig.lrs-1.0.19</developerConnection>
+    <url>https://devel.gvsig.org/redmine/projects/gvsig-lrs/repository/show/org.gvsig.lrs/tags/org.gvsig.lrs-1.0.19</url>
   </scm>
   <repositories>
     <repository>
@@ -62,22 +62,22 @@
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.lrs.lib.api</artifactId>
-        <version>1.0.19-SNAPSHOT</version>
+        <version>1.0.19</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.lrs.lib.impl</artifactId>
-        <version>1.0.19-SNAPSHOT</version>
+        <version>1.0.19</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.lrs.swing.api</artifactId>
-        <version>1.0.19-SNAPSHOT</version>
+        <version>1.0.19</version>
       </dependency>
       <dependency>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.lrs.swing.impl</artifactId>
-        <version>1.0.19-SNAPSHOT</version>
+        <version>1.0.19</version>
       </dependency>
     </dependencies>
   </dependencyManagement>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/org.gvsig.lrs.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/org.gvsig.lrs.app.mainplugin/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/org.gvsig.lrs.app.mainplugin/pom.xml	(revision 163)
@@ -3,11 +3,11 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs.app</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.app.mainplugin</artifactId>
-  <version>1.0.19-SNAPSHOT</version>
+  <version>1.0.19</version>
   <name>org.gvsig.lrs.app.mainplugin</name>
 
     <properties>
Index: org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/pom.xml
===================================================================
--- org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/pom.xml	(revision 162)
+++ org.gvsig.lrs/trunk/org.gvsig.lrs/org.gvsig.lrs.app/pom.xml	(revision 163)
@@ -3,7 +3,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.lrs</artifactId>
-    <version>1.0.19-SNAPSHOT</version>
+    <version>1.0.19</version>
   </parent>
   <groupId>org.gvsig</groupId>
   <artifactId>org.gvsig.lrs.app</artifactId>