Index: org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/pom.xml
===================================================================
--- org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/pom.xml	(revision 230)
+++ org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/pom.xml	(revision 231)
@@ -118,13 +118,8 @@
 			</dependency>
 			<dependency>
 				<groupId>org.gvsig</groupId>
-				<artifactId>org.gvsig.educa.thematicmap.swing.api</artifactId>
+				<artifactId>org.gvsig.educa.thematicmap.lib.prov.locateonthemap</artifactId>
 				<version>${educa.version}</version>
-			</dependency>
-			<dependency>
-				<groupId>org.gvsig</groupId>
-				<artifactId>org.gvsig.educa.thematicmap.swing.impl</artifactId>
-				<version>${educa.version}</version>
 				<scope>runtime</scope>
 			</dependency>
 
Index: org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/pom.xml
===================================================================
--- org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/pom.xml	(revision 230)
+++ org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/pom.xml	(revision 231)
@@ -13,56 +13,14 @@
 		<version>1.0.0-SNAPSHOT</version>
 	</parent>
 	<properties>
-		<package.info.dependencies>required: org.gvsig.app -ge 2</package.info.dependencies>
+		<package.info.dependencies>required: org.gvsig.educa.thematicmap.app.viewer -ge 1</package.info.dependencies>
 		<package.info.baseDownloadURL>http://devel.gvsig.org/download/projects/gvsig-educa/pool/org.gvsig.educa.thematicmap.app.viewer/</package.info.baseDownloadURL>
 	</properties>
 
 	<dependencies>
 		<dependency>
 			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.app</artifactId>
+			<artifactId>org.gvsig.educa.thematicmap.lib.prov.locateonthemap</artifactId>
 		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.lib.api</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.lib.spi</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.swing.api</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.lib.impl</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.lib.prov.installer</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.gvsig</groupId>
-			<artifactId>org.gvsig.educa.thematicmap.swing.impl</artifactId>
-		</dependency>
-		<dependency>
-			<groupId>org.apache.commons</groupId>
-			<artifactId>commons-lang3</artifactId>
-		</dependency>
 	</dependencies>
-	<profiles>
-		<profile>
-			<id>gvsig-install</id>
-			<activation>
-				<activeByDefault>true</activeByDefault>
-			</activation>
-			<properties>
-				<!--
-					Default gvSIG installation folder relative to the current workspace
-				-->
-				<gvsig.install.dir>${basedir}/../../build/product</gvsig.install.dir>
-			</properties>
-		</profile>
-	</profiles>
 </project>
Index: org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/distribution/distribution.xml
===================================================================
--- org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/distribution/distribution.xml	(revision 230)
+++ org.gvsig.educa.thematicmap.app/trunk/org.gvsig.educa.thematicmap.app/org.gvsig.educa.thematicmap.app.geomselect/distribution/distribution.xml	(revision 231)
@@ -22,7 +22,7 @@
 			<outputDirectory>${extension.install.dir.name}/${library-dir}
 			</outputDirectory>
 			<includes>
-				<include>org.gvsig:org.gvsig.educa.thematicmap.app.geomselect</include>
+				<include>org.gvsig:org.gvsig.educa.thematicmap.lib.prov.locateonthemap</include>
 			</includes>
 		</dependencySet>
 	</dependencySets>