Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:24:31 CEST 2017
-buildNumber=31
+#Thu Sep 28 15:59:42 CEST 2017
+buildNumber=32
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:24:31 CEST 2017
-buildNumber=31
+#Thu Sep 28 15:59:42 CEST 2017
+buildNumber=32
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:22 CEST 2017
-buildNumber=50
+#Thu Sep 28 15:58:34 CEST 2017
+buildNumber=51
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:11 CEST 2017
-buildNumber=53
+#Thu Sep 28 15:58:23 CEST 2017
+buildNumber=54
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:24:14 CEST 2017
-buildNumber=52
+#Thu Sep 28 15:59:25 CEST 2017
+buildNumber=53
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:13 CEST 2017
-buildNumber=50
+#Thu Sep 28 15:58:25 CEST 2017
+buildNumber=51
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:11 CEST 2017
-buildNumber=53
+#Thu Sep 28 15:58:24 CEST 2017
+buildNumber=54
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:49 CEST 2017
-buildNumber=53
+#Thu Sep 28 15:59:01 CEST 2017
+buildNumber=54
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:24:04 CEST 2017
-buildNumber=52
+#Thu Sep 28 15:59:16 CEST 2017
+buildNumber=53
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:24:24 CEST 2017
-buildNumber=50
+#Thu Sep 28 15:59:35 CEST 2017
+buildNumber=51
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 318)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 319)
@@ -1,2 +1,2 @@
-#Tue Sep 26 20:23:35 CEST 2017
-buildNumber=53
+#Thu Sep 28 15:58:47 CEST 2017
+buildNumber=54