Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerParameters.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerParameters.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerParameters.java	(revision 364)
@@ -37,8 +37,8 @@
 
     public PostgreSQLExplorerParameters() {
         super(
-                PostgreSQLHelper.NAME + "ServerExplorerParameters",
-                PostgreSQLHelper.NAME
+                PostgreSQLLibrary.NAME + "ServerExplorerParameters",
+                PostgreSQLLibrary.NAME
         );
         this.helper = new PostgreSQLConnectionParametersHelper(this);
     }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLLibrary.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLLibrary.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLLibrary.java	(revision 364)
@@ -14,7 +14,7 @@
 
 public class PostgreSQLLibrary extends AbstractLibrary {
 
-    public static final String NAME = PostgreSQLHelper.NAME;
+    public static final String NAME = "PostgreSQL";
 
     @Override
     public void doRegistration() {
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerFactory.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerFactory.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLExplorerFactory.java	(revision 364)
@@ -13,7 +13,7 @@
 
 public class PostgreSQLExplorerFactory extends JDBCServerExplorerFactory {
 
-    private static final String NAME = PostgreSQLHelper.NAME;
+    private static final String NAME = PostgreSQLLibrary.NAME;
     
     public PostgreSQLExplorerFactory() {
         super(
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLNewStoreParameters.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLNewStoreParameters.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLNewStoreParameters.java	(revision 364)
@@ -35,8 +35,8 @@
     
     public PostgreSQLNewStoreParameters() {
         super(
-            PostgreSQLHelper.NAME + "NewStoreParameters", 
-            PostgreSQLHelper.NAME
+            PostgreSQLLibrary.NAME + "NewStoreParameters", 
+            PostgreSQLLibrary.NAME
         );
         this.helper = new PostgreSQLConnectionParametersHelper(this);
     }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLHelper.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLHelper.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLHelper.java	(revision 364)
@@ -9,7 +9,6 @@
 import org.apache.commons.dbcp.BasicDataSource;
 import org.apache.commons.lang3.BooleanUtils;
 import org.apache.commons.lang3.StringUtils;
-import org.cresques.cts.IProjection;
 import org.gvsig.fmap.dal.DataTypes;
 import org.gvsig.fmap.dal.ExpressionBuilder;
 import org.gvsig.fmap.dal.SQLBuilder;
@@ -42,7 +41,6 @@
 
     static final Logger logger = LoggerFactory.getLogger(PostgreSQLHelper.class);
 
-    public static final String NAME = "PostgreSQL";
     public static final String POSTGRESQL_JDBC_DRIVER = "org.postgresql.Driver";
     
     public static String getConnectionURL(PostgreSQLConnectionParameters params) {
@@ -122,7 +120,7 @@
             try {
                 Class theClass = Class.forName(className);
                 if (theClass == null) {
-                    throw new JDBCDriverClassNotFoundException(NAME, className);
+                    throw new JDBCDriverClassNotFoundException(PostgreSQLLibrary.NAME, className);
                 }
             } catch (Exception e) {
                 throw new SQLException("Can't register JDBC driver '" + className + "'.", e);
@@ -147,7 +145,7 @@
             }
             return this.connectionProvider.getConnection();
         } catch (SQLException ex) {
-            throw new AccessResourceException(NAME, ex);
+            throw new AccessResourceException(PostgreSQLLibrary.NAME, ex);
         }
     }
     
@@ -163,12 +161,12 @@
 
     @Override
     protected String getResourceType() {
-        return NAME;
+        return PostgreSQLLibrary.NAME;
     }
 
     @Override
     public String getProviderName() {
-        return NAME;
+        return PostgreSQLLibrary.NAME;
     }
 
     @Override
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreProviderFactory.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreProviderFactory.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreProviderFactory.java	(revision 364)
@@ -12,12 +12,10 @@
 
 
 public class PostgreSQLStoreProviderFactory extends JDBCStoreProviderFactory {
-
-    private static final String NAME = PostgreSQLHelper.NAME;
     
     public PostgreSQLStoreProviderFactory() {
         super(
-                NAME, 
+                PostgreSQLLibrary.NAME, 
                 "PostgreSQL store"
         );
     }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLAppendOperation.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLAppendOperation.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLAppendOperation.java	(revision 364)
@@ -4,8 +4,6 @@
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.feature.FeatureType;
 import org.gvsig.fmap.dal.feature.spi.FeatureProvider;
-import org.gvsig.fmap.dal.store.jdbc.exception.JDBCExecuteSQLException;
-import org.gvsig.fmap.dal.store.jdbc.exception.JDBCTransactionRollbackException;
 import org.gvsig.fmap.dal.store.jdbc2.JDBCHelper;
 import org.gvsig.fmap.dal.store.jdbc2.JDBCUtils;
 import org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation;
@@ -31,30 +29,16 @@
 
     @Override
     public void append(FeatureProvider feature) throws DataException {
+        int n;
         try {
-            this.connection.setAutoCommit(false);
-            try {
-                getHelper().setPreparedStatementParameters(preparedStatement, sqlbuilder, type, feature);
-                int n = JDBCUtils.executeUpdate(this.preparedStatement,this.sql);
-                if ( n > 0) {
-                    this.connection.commit();
-                    return;
-                }              
-                this.connection.rollback();
-            } catch(Exception ex) {
-                try {
-                    this.connection.rollback();
-                } catch (Exception e1) {
-                    throw new JDBCTransactionRollbackException(e1, ex);
-                }                
-                throw new JDBCExecuteSQLException(this.sql,ex);
-            } 
-            throw new JDBCExecuteSQLException(this.sql,null);
-
-        } catch (JDBCExecuteSQLException ex) {
-            throw ex;
-        } catch (Exception ex) {
-            throw new JDBCExecuteSQLException(this.sql,ex);
+            getHelper().setPreparedStatementParameters(preparedStatement, sqlbuilder, type, feature);
+            n = JDBCUtils.executeUpdate(this.preparedStatement,this.sql);
+        } catch(Exception ex) {
+            throw new RuntimeException("Can't insert feature.", ex);
         }
+        if( n<1 ) {
+            throw new RuntimeException("Can't insert feature (n="+n+").");
+        }
     }
+    
 }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLFetchFeatureTypeOperation.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLFetchFeatureTypeOperation.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/operations/PostgreSQLFetchFeatureTypeOperation.java	(revision 364)
@@ -127,7 +127,7 @@
             if( !StringUtils.isEmpty(srsid) ) {
                 attr.setSRS(this.helper.getProjectionFromDatabaseCode(srsid));
             }
-        } catch (SQLException ex) {
+        } catch (Exception ex) {
             logger.debug("Can't get geometry type and srs from column '"+attr.getName()+"'.",ex);
         }
     }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreParameters.java
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreParameters.java	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.provider/src/main/java/org/gvsig/postgresql/dal/PostgreSQLStoreParameters.java	(revision 364)
@@ -30,8 +30,8 @@
     
     public PostgreSQLStoreParameters() {
         super(
-                PostgreSQLHelper.NAME + "StoreParameters",
-                PostgreSQLHelper.NAME
+                PostgreSQLLibrary.NAME + "StoreParameters",
+                PostgreSQLLibrary.NAME
         );
         this.helper = new PostgreSQLConnectionParametersHelper(this);
     }
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 364)
@@ -36,7 +36,6 @@
       <includes>
 		<include>postgresql:postgresql</include>
 		<include>commons-dbcp:commons-dbcp</include>
-		<include>commons-collections:commons-collections</include>
 		<include>commons-pool:commons-pool</include>
       </includes>
     </dependencySet>
Index: trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/pom.xml
===================================================================
--- trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/pom.xml	(revision 363)
+++ trunk/org.gvsig.postgresql/org.gvsig.postgresql.app/org.gvsig.postgresql.app.mainplugin/pom.xml	(revision 364)
@@ -42,11 +42,6 @@
       <scope>runtime</scope>
     </dependency>
     <dependency>
-      <groupId>commons-collections</groupId>
-      <artifactId>commons-collections</artifactId>
-      <scope>runtime</scope>
-    </dependency>
-    <dependency>
       <groupId>commons-pool</groupId>
       <artifactId>commons-pool</artifactId>
       <scope>runtime</scope>