Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:29 CET 2019
-buildNumber=65
+#Tue Jan 15 09:36:18 CET 2019
+buildNumber=66
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86_64/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:22 CET 2019
-buildNumber=62
+#Tue Jan 15 09:36:11 CET 2019
+buildNumber=63
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.common/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:14 CET 2019
-buildNumber=65
+#Tue Jan 15 09:36:03 CET 2019
+buildNumber=66
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86_64/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:49 CET 2019
-buildNumber=64
+#Tue Jan 15 09:36:39 CET 2019
+buildNumber=65
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin_ubuntu_14.04.x86/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:16 CET 2019
-buildNumber=62
+#Tue Jan 15 09:36:04 CET 2019
+buildNumber=63
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.all.all/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:14 CET 2019
-buildNumber=65
+#Tue Jan 15 09:36:03 CET 2019
+buildNumber=66
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.lin.x86_64/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:36 CET 2019
-buildNumber=65
+#Tue Jan 15 09:36:25 CET 2019
+buildNumber=66
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.win.x86/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:43 CET 2019
-buildNumber=64
+#Tue Jan 15 09:36:33 CET 2019
+buildNumber=65
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.mainplugin/org.gvsig.gdal.app.mainplugin.darwin_macos_10.11.x86_64/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:55 CET 2019
-buildNumber=62
+#Tue Jan 15 09:36:47 CET 2019
+buildNumber=63
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.gml/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:58 CET 2019
-buildNumber=43
+#Tue Jan 15 09:36:51 CET 2019
+buildNumber=44
Index: trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 385)
+++ trunk/org.gvsig.gdal/org.gvsig.gdal.app/org.gvsig.gdal.app.ogr.mainplugin/buildNumber.properties	(revision 386)
@@ -1,2 +1,2 @@
-#Sat Jan 12 13:28:59 CET 2019
-buildNumber=43
+#Tue Jan 15 09:36:51 CET 2019
+buildNumber=44