Index: dt-visor-3d.rst
===================================================================
--- dt-visor-3d.rst	(revision 438)
+++ dt-visor-3d.rst	(revision 439)
@@ -110,7 +110,7 @@
 
 * El componente `ViewPanel3D`_ integra un componente ``WorldWindowGLJPanel``. ``WorldWindowGLJPanel`` es autocontenido y su propósito es servir la aplicación WorldWind mostrando el modelo definido (globo y capas).
 * La librería posee unos archivos de configuración en XML que son cargados cuando la librería se registra. Estos archivos de configuración por un lado definen la clases que implementan los distintos servicios que ofrece la librería y por otro las capas que se cargan por defecto al crear un modelo básico.
-* Además de esta configuración, es necesario configurar unos parámetros espeficios para crear un ``WorldWindowGLJPanel`` esférico o plano. Esta configuración se realiza al instanciar un objeto `ViewPanel3D`_. Dependiendo del modo indicado como parámetro, se establece una configuración u otra.
+* Además de esta configuración, es necesario configurar unos parámetros especificados para crear un ``WorldWindowGLJPanel`` esférico o plano. Esta configuración se realiza al instanciar un objeto `ViewPanel3D`_. Dependiendo del modo indicado como parámetro, se establece una configuración u otra.
 * La obtención de las capas WW a partir de capas de gvSIG se realiza mediante la clase `LayerConverter`_ la cual permite obtener la capa equivalente en WW a partir de una capa de gvSIG para añadirla a las capas del modelo WW. Se ha implementa un nuevo tipo de capa llamado RasterTiledImageLayer la cual gestiona la peticiones de tiles en tiempo para que se obtengan los datos directamente desde el DAL de gvSIG. Esta gestión se realiza mediante los objetos ``DefaultRetrieverFactory``, ``DefaultRasterRetriever``, ``DefaultRasterServer``, ``DefaultDataRasterReaderFactory``, ``DefaultDataRasterReader`` y ``DefaultDataRaster``.
 
 SWING API
@@ -130,6 +130,10 @@
 
   Crea un objeto `ViewPanel3D`_ pasándole como parámetro el MapContext y el tipo de panel.
 
+* createMapControl3D(MapContext mapContext, TYPE type) : MapControl3D
+
+  Crea un objeto `MapControl3D`_ a partir del MapContext y el tipo.
+
 * getLayerProperties3D(FLayer layer) : LayerProperties3D
 
   Obtiene las propiedades asociadas a un capa.
@@ -138,13 +142,14 @@
 
   Asigna las propiedades a la capa que recibe como parámetro.
 
+
 .. note::
   Falta especificar las propiedades relacionadas con la vista, las propiedades generales y sus interfaces.
 
 MapControl3D
 ~~~~~~~~~~~~~~~~~~~~~~
 
-Define el API del componente 3D.
+Define el API del componente 3D.  Esta clase representa el componente 3D del visor. Permite añadir y quitar capas, sincronizar capas y enfoques con la vista 2D enlazada, configurar la visibilidad de los componentes del visor. Además, a partir de un MapContext obtiene las capas y las convierte en DataRaster para enlazarlo a una capa WW. La capa WW que crea depende del tipo de capa, las capas raster serán RasterTiledImageLayer y las elevaciones DefaultElevationModel.
 
 * getMapContext() : MapContext
 
@@ -194,6 +199,10 @@
 
   Obtiene el ``ViewPort`` de la vista y realiza las transformaciones necesarias para el enfoque del visor 3D muestra la misma región. Hay que tener en cuenta si la opción "Animación en la sincronización de enfoques" esta marcada o no. En caso de que este marcada la sincronización se debe animar, en caso contrario, no.
 
+* synchronizeLayers() : void
+
+  Comprueba que capas han sufrido cambios mediante el versionado del MapContext y la vuelve a recargar en el modelo del componente WW. 
+
 * getAtmosphereVisibility() : boolean
 
   Obtiene la visibilidad del componente que representa la atmósfera.
@@ -214,6 +223,60 @@
 
   Obtiene la visibilidad del componente que representa la escala.
 
+RasterTiledImageLayer
+________________________
+
+Los pasos para obtener una capa RasterTiledImageLayer son los siguientes:
+
+* Configuración de los parámetros necesarios en un fichero XML para crear una capa del tipo RasterTileImageLayer. Los parámetros necesarios son:
+
+ * DATA_CACHE_NAME: Nombre de la carpeta dentro de la cache donde se alojará los tiles generados en tiempo de ejecución. Este nombre debe ser único.
+ * SECTOR: Zona geográfica del raster especificada en grados sobre la proyección EPSG:4326.
+ * WIDTH: ancho en píxeles de la imagen raster.
+ * HEIGHT: alto en píxeles de la imagen raster.
+ * DISPLAY_NAME: Nombre de la capa.
+ * FILE_STORE: almacén de archivos de la cache. Proporciona métodos para añadir / quitar localizaciones, buscar archivos, borra archivos...
+ * IMAGE_FORMAT: formato de los tiles que se generan.
+ * FORMAT_SUFFIX: sufijo de archivo de los tiles generados.
+
+Además de estos parámetros también es necesario añadir en tiempo de ejecución la capa gvSIG que se desea convertir de la cual se obtendrá la información para la creación de tiles mediante la clave GVSIG_LAYER. Por otra parte, existen parámetros opcionales que si no se asigna ningún valor la librería asigna el valor por defecto. Debido al gran número de parámetros configurables se resaltan los siguientes:
+
+ * Opciones de capas: opacidad, máxima y mínima altura de activación...
+ * Estructura de niveles de detalle: nivel máximo y mínimo de nivel de detalle, niveles inactivos...
+ * Generación de tiles: tamaño del tile, origen del primer tile, extensión de los tiles generados... 
+
+* Crear la capa de tipo RasterTileImageLayer a partir de los parámetros y añadirla al modelo. Al instanciar una nueva capa RasterTileImageLayer, se configura una factoría del tipo DefaultRetrieverFactory la cual permite la creación de objetos DefaultRasterRetriever. Dichos objetos son los encargados de realizar la distintas peticiones a un objeto DefaultRasterServer el cual es el encargado de servir la información procedente de un DataRaster genérico.
+
+DefaultElevationModel
+________________________
+
+Los pasos para obtener una capa RasterTiledImageLayer son los siguientes:
+
+* Configuración de los parámetros necesarios en un fichero XML para crear una modelo de elevación ElevationModel. Los parámetros necesarios son:
+
+  * DISPLAY_NAME: Nombre del modelo de elevación
+  * SECTOR: Zona geográfica del raster especificada en grados sobre la proyección EPSG:4326.
+  * WIDTH: ancho en píxeles de la imagen raster.
+  * HEIGHT: alto en píxeles de la imagen raster.
+  * FILE_STORE: almacén de archivos de la cache. Proporciona métodos para añadir / quitar localizaciones, buscar archivos, borra archivos...
+  * IMAGE_FORMAT: formato de los tiles genera
+  * DATA_TYPE: tipo de dato de la información del raster.
+  * PIXEL_FORMAT: formato del pixel: AVKey.ELEVATION o AVKey.IMAGE
+  * FORMAT_SUFFIX: sufijo de archivo de los tiles generados.
+
+    Además de estos parámetros también es necesario añadir en tiempo de ejecución la capa gvSIG que se desea convertir de la cual se obtendrá la información para la creación de tiles mediante la clave GVSIG_LAYER. Por otra parte, existen parámetros opcionales que si no se asigna ningún valor la librería asigna el valor por defecto. Los parámetros opcionales son:
+
+  * BYTE_ORDER: orden de los bytes. Little endian o big endian.
+  * ELEVATION_MAX: elevación máxima y mínima.
+  * ELEVATION_MIN: elevación mínima del raster.
+  * EXPIRY_TIME: tiempo de expiración de un tile dentro de la cache.
+  * MISSING_DATA_SIGNAL: Valor "no data"
+  * MISSING_DATA_REPLACEMENT: Valor que se obtiene al obtener la elevación sobre un punto "no data".
+  * NETWORK_RETRIEVAL_ENABLED: Indica el modo de trabajo online o offline.
+  * ELEVATION_EXTREMES_FILE: ruta al fichero que contiene información sobre las elevaciones extremas.
+
+* Crear el modelo de elevación DefaultElevationModel a partir de lo parámetros y añadirlo al modelo ya existente. El modelo existente será de tipo CompoundElevationModel el cual permite añadir varios modelos de elevación y mostrarlos a la vez. Al instanciar un nuevo modelo de elevación, se configura una factoría del tipo DefaultRetrieverFactory la cual permite la creación de objetos DefaultRasterRetriever. Dichos objetos son los encargados de realizar las distintas peticiones a un objeto DefaultRasterServer el cual es el encargado de servir la información procedente de un DataRaster genérico. 
+
 ViewPanel3D
 ~~~~~~~~~~~~~~~~~~~~~~
 
@@ -318,78 +381,15 @@
 
 Interfaz que permite convertir una capa gvSIG en una capa WW. Este proceso depende del tipo de capa y el modo de carga definido.
 
-* convert(FLayer layer) : gov.nasa.worldwind.layers.Layer
+* convert(FLayer layer) : gov.nasa.worldwind.layers.Data
 
-  Método que a partir de una capa gvSIG obtiene la capa correspondiente en WW.
+  Método que a partir de una capa gvSIG obtiene el data raster correspondiente.
 
-DefaultRasterLayerConverter implements LayerConverter
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+DefaultLayerConverter
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-Implementación de la interfaz LayerConverter que permite convertir una capa FLyrRaster en RasterTiledImageLayer mediante ``LayerConverter#convert(FLayer layer)``. El proceso de conversión debe seguir los siguientes puntos:
+Implementación por defecto de la interfaz LayerConverter. Esta clase permite convertir una capa de gvSIG en un DataRaster genérico el cual permitirá pintar la zona requeridas mediante el método ``FLayer#draw(image,graphics,viewport,scale)``. 
 
-* Configuración de los parámetros necesarios en un fichero XML para crear una capa del tipo RasterTileImageLayer. Los parámetros necesarios son:
-
- * DATA_CACHE_NAME: Nombre de la carpeta dentro de la cache donde se alojará los tiles generados en tiempo de ejecución. Este nombre debe ser único.
- * SECTOR: Zona geográfica del raster especificada en grados sobre la proyección EPSG:4326.
- * WIDTH: ancho en píxeles de la imagen raster.
- * HEIGHT: alto en píxeles de la imagen raster.
- * DISPLAY_NAME: Nombre de la capa.
- * FILE_STORE: almacén de archivos de la cache. Proporciona métodos para añadir / quitar localizaciones, buscar archivos, borra archivos...
- * IMAGE_FORMAT: formato de los tiles que se generan.
- * FORMAT_SUFFIX: sufijo de archivo de los tiles generados.
-
-Además de estos parámetros también es necesario añadir en tiempo de ejecución la capa gvSIG que se desea convertir de la cual se obtendrá la información para la creación de tiles mediante la clave GVSIG_LAYER. Por otra parte, existen parámetros opcionales que si no se asigna ningún valor la librería asigna el valor por defecto. Debido al gran número de parámetros configurables se resaltan los siguientes:
-
- * Opciones de capas: opacidad, máxima y mínima altura de activación...
- * Estructura de niveles de detalle: nivel máximo y mínimo de nivel de detalle, niveles inactivos...
- * Generación de tiles: tamaño del tile, origen del primer tile, extensión de los tiles generados... 
-
-* Crear la capa de tipo RasterTileImageLayer a partir de los parámetros y añadirla al modelo. Al instanciar una nueva capa RasterTileImageLayer, se configura una factoría del tipo DefaultRetrieverFactory la cual permite la creación de objetos DefaultRasterRetriever. Dichos objetos son los encargados de realizar la distintas peticiones a un objeto DefaultRasterServer el cual es el encargado de servir la información procedente de un DataRaster. Dependiendo del tipo de capa y el modo de carga será una implementación u otra. En el caso de casa raster con modo de carga imagen el tipo será RasterLayerDataRaster y para capas vectoriales rasterizadas RasterizedVectorialLayer.
-
-La rasterización de capa vectoriales se realiza en VectorialLayerDataRaster en base a las peticiones que recibe por parte de DefaultRasterServer. El proceso se rasterización consistirá en usar el método ``FLyrVect#draw(image,graphics,viewport, scale)`` estableciendo el ViewPort a la zona o sección requerida para la obtención del tile.
-
-DefaultElevationLayerConverter implements LayerConverter
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-Implementación de la interfaz LayerConverter que permite convertir una capa FLyrRaster en DefaultElevationModel mediante ``LayerConverter#convert(FLayer layer)``. El proceso de conversión debe seguir los siguientes puntos:
-
-* Configuración de los parámetros necesarios en un fichero XML para crear una modelo de elevación ElevationModel. Los parámetros necesarios son:
-
-  * DISPLAY_NAME: Nombre del modelo de elevación
-  * SECTOR: Zona geográfica del raster especificada en grados sobre la proyección EPSG:4326.
-  * WIDTH: ancho en píxeles de la imagen raster.
-  * HEIGHT: alto en píxeles de la imagen raster.
-  * FILE_STORE: almacén de archivos de la cache. Proporciona métodos para añadir / quitar localizaciones, buscar archivos, borra archivos...
-  * IMAGE_FORMAT: formato de los tiles genera
-  * DATA_TYPE: tipo de dato de la información del raster.
-  * PIXEL_FORMAT: formato del pixel: AVKey.ELEVATION o AVKey.IMAGE
-  * FORMAT_SUFFIX: sufijo de archivo de los tiles generados.
-
-    Además de estos parámetros también es necesario añadir en tiempo de ejecución la capa gvSIG que se desea convertir de la cual se obtendrá la información para la creación de tiles mediante la clave GVSIG_LAYER. Por otra parte, existen parámetros opcionales que si no se asigna ningún valor la librería asigna el valor por defecto. Los parámetros opcionales son:
-
-  * BYTE_ORDER: orden de los bytes. Little endian o big endian.
-  * ELEVATION_MAX: elevación máxima y mínima.
-  * ELEVATION_MIN: elevación mínima del raster.
-  * EXPIRY_TIME: tiempo de expiración de un tile dentro de la cache.
-  * MISSING_DATA_SIGNAL: Valor "no data"
-  * MISSING_DATA_REPLACEMENT: Valor que se obtiene al obtener la elevación sobre un punto "no data".
-  * NETWORK_RETRIEVAL_ENABLED: Indica el modo de trabajo online o offline.
-  * ELEVATION_EXTREMES_FILE: ruta al fichero que contiene información sobre las elevaciones extremas.
-
-* Crear el modelo de elevación DefaultElevationModel a partir de lo parámetros y añadirlo al modelo ya existente. El modelo existente será de tipo CompoundElevationModel el cual permite añadir varios modelos de elevación y mostrarlos a la vez. Al instanciar un nuevo modelo de elevación, se configura una factoría del tipo DefaultRetrieverFactory la cual permite la creación de objetos DefaultRasterRetriever. Dichos objetos son los encargados de realizar las distintas peticiones a un objeto DefaultRasterServer el cual es el encargado de servir la información procedente de un DataRaster. Para este caso el DataRaster será de tipo ElevationLayerDataRaster el cual atacará sobre la capa raster para obtener la información que se precise.
-
-DefaultWMSLayerConverter implements LayerConverter
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-.. note::
-  TODO en fases posteriores
-
-DefaultVectorialLayerConverter implements LayerConverter
-~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-.. note::
-  TODO en fases posteriores
-
 RasterTiledImageLayer extends BasicTiledImageLayer
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
@@ -460,18 +460,18 @@
 
   Obtiene si la fuente de datos es de tipo imagen
 
-XXLayerDataRaster implements DataRaster
+GvSIGLayerDataRaster implements DataRaster
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-Representa información raster. Esta clase recibe peticiones de datos para la generación de tiles por lo que es la encargada de acceder al DAL de gvSIG mediante su API para obtener la información precisada. 
+Representa información raster. Esta clase recibe peticiones de datos para la generación de tiles por lo que es la encargada de mediante el método ``FLayer#draw()`` de la capa que tiene asociada pintar la sección requerida.
 
 * getWidth() : int
 
-  Obtiene el ancho en pixeles del raster.
+  Obtiene el ancho en píxeles del raster.
 
 * getHeiht() : int
 
-  Obtiene el alto en pixeles del raster.
+  Obtiene el alto en píxeles del raster.
 
 * drawOnTo(DataRaster canvas) : void
 
@@ -492,16 +492,16 @@
 
 * org.gvsig.view3d.app
 
-  * about
-  * i18n
-  * images
-  * lib
+  - about
+  - i18n
+  - images
+  - lib
 
-    * dependencias comunes
-    * dependencias nativas de la plataforma
+    + dependencias comunes
+    + dependencias nativas de la plataforma
 
-  * config.xml
-  * package.info
+  - config.xml
+  - package.info
 
 Plugin common
 ~~~~~~~~~~~~~~~~~~~~~~